- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_epsilon: Epsilon comparison
GTX Extensions (Experimental)

## Functions
template<typename genTypeT , typename genTypeU >
bool | equalEpsilon (genTypeT const &x, genTypeT const &y, genTypeU const &epsilon)
template<typename genTypeT , typename genTypeU >
bool | notEqualEpsilon (genTypeT const &x, genTypeT const &y, genTypeU const &epsilon)

## Detailed Description

Comparison functions for a user defined epsilon values.

<glm/gtx/epsilon.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::equalEpsilon | ( | genTypeT const & | x,
|  | genTypeT const & | y,
|  | genTypeU const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| < epsilon.

See also:
  GLM_GTX_epsilon: Epsilon comparison

bool glm::notEqualEpsilon | ( | genTypeT const & | x,
|  | genTypeT const & | y,
|  | genTypeU const & | epsilon
| ) |  |

Returns the component-wise compare of |x - y| >= epsilon.

See also:
  GLM_GTX_epsilon: Epsilon comparison